"""
Test Attribute Utils
"""
import deepchem.utils as utils


def test_get_attr():

    class MyClass:

        def __init__(self):
            self.a = 1
            self.b = 2

    obj = MyClass()
    assert utils.get_attr(obj, "a") == 1


def test_set_attr():

    class MyClass:

        def __init__(self):
            self.a = 1
            self.b = 2

    obj = MyClass()
    utils.set_attr(obj, "a", 3)
    utils.set_attr(obj, "c", 4)
    assert obj.a == 3
    assert obj.c == 4


def test_del_attr():

    class MyClass:

        def __init__(self):
            self.a = 1
            self.b = 2

    obj = MyClass()
    utils.del_attr(obj, "a")
    alpha = 0
    try:
        obj.a
    except AttributeError:
        alpha = 1  # alpha changes to 1 if not found
    assert alpha == 1
